Skip to main content
GET
/
api
/
extensions
/
beta
/
extensions-ui
/
{extensionId}
Get an Extension for UI consumption
curl --request GET \
  --url https://api.example.com/api/extensions/beta/extensions-ui/{extensionId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "appId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "id": "<string>",
  "name": "<string>",
  "totalViews": 123,
  "uiMountPointTypeConfigs": {
    "adminPanel": {
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "dataset": {
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "datasetFileContext": {
      "allProjects": true,
      "fileTypes": [
        "<string>"
      ],
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "modelDetails": {
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "netAppVolume": {
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "netAppVolumeFileContext": {
      "allProjects": true,
      "fileTypes": [
        "<string>"
      ],
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "projectSidebar": {
      "allProjects": true,
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    }
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "appVersionId": "<string>",
  "description": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

extensionId
string
required

The id of the Extension to retrieve.

Response

Success

Non-admin, UI-facing view of an Extension. Drops admin fields including enabled flags and project-scoped mountPoints arrays.

appId
string
required

The id of the App associated with the Extension.

createdAt
string<date-time>
required

The date and time when the Extension was created.

createdBy
object
required

Information about a Domino user including id and names.

id
string
required

The id of the Extension.

kind
enum<string>
required

The category of the Extension.

Available options:
DominoOfficial,
Uncategorized
name
string
required

The name of the Extension.

totalViews
integer<int64>
required

The total number of views across all app versions.

uiMountPointTypeConfigs
object
required

UI-facing mount point type configurations. Drops the per-mount enabled flag and project-scoped mountPoints arrays.

updatedAt
string<date-time>
required

The date and time when the Extension was last updated.

updatedBy
object
required

Information about a Domino user including id and names.

appVersionId
string

The version of the App associated with the Extension.

description
string

The description of the Extension.